-- 跨服详情
Lua_CrossServerTipsWindow = class("Lua_CrossServerTipsWindow", Lua_Window);
function Lua_CrossServerTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_CrossServerTipsWindow";
	self.skinName = "CrossServerTipsWindow_skin";
	self.isFullSizeWin = true;
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_CrossServerTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.tipsTxt:setLangValue(202603);

	self.desContainer = Lua_DragContainer.new(self.showContainer, 268, 164, Lua_AxisDefine.Vertical);
	self.desContainer:setCellSpacing(0, 5);
	self.desContainer:setLocation(0, 5);

	local list = DataCenter.crossServerData.server_list;
	for i = 1, #list do
		self.desContainer:addSubContainer(Lua_CrossServerTipsCell, list[i]);
	end
	self.desContainer:updateChildPos();

	self:addTimer("Lua_CrossServerTipsWindow", 1, self, self.updateIntervalTime);
	self:updateIntervalTime();
end

function Lua_CrossServerTipsWindow:updateIntervalTime()
	local left_time = DataCenter.crossServerData.reset_tick - DataCenter.roleData.serverTime;
	self.resetTimeTxt.text = Lua_TimeTransform.transSeconds18(left_time);
	if left_time < 0 then
		self.resetTimeTxt.text = "";
		self:removeTimer(self, self.updateIntervalTime);
	end
end

function Lua_CrossServerTipsWindow:dispose()
	if self.desContainer ~= nil then
		self.desContainer:dispose();
		self.desContainer = nil;
	end
	self:removeTimer(self, self.updateIntervalTime);

	self:superCall("dispose");
end










Lua_CrossServerTipsCell = class("Lua_CrossServerTipsCell", Lua_DragContainerItem);
function Lua_CrossServerTipsCell:ctor(p)
	self:superCall("ctor", p);
end

function Lua_CrossServerTipsCell:buildShowItem()
	self:superCall("buildShowItem");

	self.desTxt = UICreate.createLabel(self.content, "", 0, 0, 268, 0, 24);
	self.desTxt.fontName = Lua_MyUISettings.huakangFontName;
	self.desTxt.alignmentValue = 0;
	self.desTxt.verticalOverflowValue = 1;
	self.desTxt.colorStr = Lua_ColorDefine.transColorStr("DEE0E9");
end

function Lua_CrossServerTipsCell:setData(data)
	local langValue = data.type == 1 and 202605 or 202604;
	self.desTxt.text = LanUtil.formateStr(langValue, data.server_prev, data.world_level);
	self.desTxt:resetSize();
end

function Lua_CrossServerTipsCell:getWidth()
	return 268;
end

function Lua_CrossServerTipsCell:getHeight()
	return self.desTxt.height;
end

function Lua_CrossServerTipsCell:dispose()
	if self.desTxt ~= nil then
		self.desTxt:dispose();
		self.desTxt = nil;
	end
	self:superCall("dispose");
end